2015-04-16  Tommy Scheunemann <net@arrishq.net>
        * wmconfig.c
          replaced old strstr with strcmp

2015-04-08  Tommy Scheunemann <net@arrishq.net>
        * freedesktop.c
          skipped output of quit and restart entries for inclusion
          from the generated menu file

2015-01-20  Tommy Scheunemann <net@arrishq.net>
        * amiwm.c blackbox.c icewm.c jwm.c kahakai.c openbox.c sapphire.c ude.c
          reordering syntax to enhance compatibility with C standards

2015-01-01  Tommy Scheunemann <net@arrishq.net>
        * freedesktop.c
          fixing a potential double free error
        * wmconfig.c
          alias output for Enlightenment DR17 and DR19 correctly added

2014-12-16  Tommy Scheunemann <net@arrishq.net>
        * ede.c freedesktop.c jwm.c kde.c kde2.c mlvwm.c
          outputs now honor no-icons option if set
        * afterstep.c afterstep_dir.c
          better output handling for icons and corresponding options
        * qvwm.c
          bug resulting in corrupted output fixed

2014-12-15  Tommy Scheunemann <net@arrishq.net>
        * icewm.c
          updated icon output function to show "-" if no icon is present
        * ede.c freedesktop.c kde.c kde2.c
          updated icon output to honor the "no-icon" options
        * qvwm.c
          fixed broken output
        * mlvwm.c
          fixed broken icon output

2014-08-08  Tommy Scheunemann <net@arrishq.net>
        * afterstep_dir.c ede.c enlightenment.c freedesktop.c kde.c kde2.c wmconfig.c wmx.c
          changed initialization of struct passwd

2014-07-29  Tommy Scheunemann <net@arrishq.net>
        * twm.c
          replaced some if expression with switch
        * wmconfig.h
          config.h gets included
        * blackbox.c icewm.c jwm.c kahakai.c prototypes.h sapphire.c wmconfig.c
          modification of the output, leveled output function moved

2014-06-05  Tommy Scheunemann <net@arrishq.net>
	* util.c
	  merging strlcat and strcat functions for better portability
	* openbox.c fvwm.c pwm.c mlvwm.c prototypes.h sawfish.c wmconfig.c wmx.c
	  removing unused function and variable definitions
	* configure.ac
	  changing default compiler flags to stop on warnings and errors

2014-05-04  Tommy Scheunemann <net@arrishq.net>
	* sawfish.c wmconfig.c
	  Sawfish output support

2014-05-03  Tommy Scheunemann <net@arrishq.net>
	* prototypes.h
	  add missing prototype valid_string
	* util.c
	  modify valid_string brackets char to const
	* freedesktop.c
	  removed unused writedir variable in create_infofile function
	* wmconfig.spec
	  spec file for RPM based Linux distributions
	* debian/
	  Debian directory for DEB based Linux distributions

2014-01-12  Tommy Scheunemann <net@arrishq.net>
	* package.c
	  fixing a possible memory leak error

2014-01-09  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.1x
	  correcting a typo in the manual page

2014-01-07  Tommy Scheunemann <net@arrishq.net>
	* afterstep_dir.c ede.c enlightenment.c freedesktop.c input.c kde.c kde2.c package.c prototypes.h rootmenu.c util.c wmconfig.c wmx.c
	  Making it more portable, e.g. POSIX compatible
	  - modifying the scandir function
	  - modifying the open function, removed O_NOFOLLOW
	  - adding dirent and strings header files

2013-12-02  Tommy Scheunemann <net@arrishq.net>
	* freedesktop.c
	  added "outputdir" option enhance compatiblity with E17, Mate
	* wmconfig.1x.in
	  updated to reflect changes in freedesktop output

2013-10-30  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.1x.in
	  updated manual page
	* util.c
	  added wrapper to restore Linux compatibility for strlcat / strcat

2013-09-24  Tommy Scheunemann <net@arrishq.net>
	* util.c
	  replaced strcat with strlcat

2013-09-24  Tommy Scheunemann <net@arrishq.net>
	* Makefile.am
	  set FORTIFY_SOURCE, PIE, stack-protector as default parameter
	* util.c
	  code cleanup of Tk launcher output function
	* jwm.c
	  JWM output support

2013-07-09  Tommy Scheunemann <net@arrishq.net>
	* samples directory
	  Some samples updated with new entries
	* twm.c
	  added newline character to the "f.nop" line

2013-07-08  Tommy Scheunemann <net@arrishq.net>
	* fvwm95.c fvwm2.c
	  merged Fvwm95 output with the Fvmw2 one
	* freedesktop.c
	  corrected error for E17 output with ShowIn, NotShowIn options
	* wmconfig.c launcher.c
	  Launcher output removed

2013-07-05  Tatiana Elokhova <pytatiana@gmail.com>
	* po/ru.po
	  russian translation updated

2013-07-03  Tommy Scheunemann <net@arrishq.net>
	* wmx.c kde2.c kde.c freedesktop.c enlightenment.c ede.c afterstep_dir.c
	  Modified the fdopen call to open files for appending instead of writing (and maybe overwriting)
	* samples directory
	  some examples were updated

2013-05-13  Tommy Scheunemann <net@arrishq.net>
	* qvwm.c
	  Modified mini_icon checks for better clang compatibility

2013-05-14  lme@FreeBSD.org
	* package.c
	  patch to improve Clang compatibility

2013-03-19  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.c rootmenu.c ede.c util.c package.c kde2.c kde.c input.c freedesktop.c enlightenment.c afterstep_dir.c wmx.c config.h.in
	  i18n support added
	* po/de.po
	  german translation
	* po/fr.po
	  french translation
	* po/ru.po
	  russian translation

2013-01-06  Tommy Scheunemann <net@arrishq.net>
	* afterstep_dir.c amiwm.c debug.c ede.c enlightenment.c freedesktop.c input.c kde.c kde2.c package.c wmconfig.c wmx.c
	  Minor code cleanup

2013-01-05  Tommy Scheunemann <net@arrishq.net>
	* ude.c
	  Minor code cleanup

2012-12-18  Tommy Scheunemann <net@arrishq.net>
	* afterstep_dir.c ede.c enlightenment.c freedesktop.c kde.c kde2.c wmconfig.c wmx.c:
	  Corrected detection of BSD unix systems

2012-07-04  Tommy Scheunemann <net@arrishq.net>
	* e17.c: Workaround E17 parsing problems with the terminal option

2011-05-22  Tommy Scheunemann <net@arrishq.net>
	* freedesktop.c: Added NotShowIn directives to the output

2011-06-01  Tray Williams <t_s_williams@yahoo.com>
	* ude.c: Fixing the output when the terminal option is used

2010-12-27  Tommy Scheunemann <net@arrishq.net>
	* ede.c afterstep_dir.c enlightenment.c kde.c kde2.c wmx.c: NOFOLLOW for open() checks for Free- and OpenBSD Systems
	* gnome2.c kde4.c e17.c xfce.c freedesktop.c: Merged the Freedesktop Output and added LXDE support
	* wmconfig.c: Added LXDE support and freedesktop_type as signal for OnlyShowIn

2010-06-03  Tommy Scheunemann <net@arrishq.net>
	* gnome2.c: Changed again the location of the wmconfig.menu file
	* misc/samples: Updated some default menu entries

2010-03-04  Tommy Scheunemann <net@arrishq.net>
	* gnome2.c: Changed location of the wmconfig.menu file to .config/desktop/menus/applications-merged

2010-05-01  Tommy Scheunemann <net@arrishq.net>
	* gnome2.c: Changed location of the wmconfig.menu file to .config/menus/applications-merged
	* fvwm2.c: Fixed the restart functions

2008-21-01  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.c: KDE4 Output added
	* afterstep_dir.c e17.c ede.c enlightenment.c freedesktop.c gnome2.c kde.c kde2.c wmx.c: NOFOLLOW for open() only on *BSD Systems

2007-31-03  Tommy Scheunemann <net@arrishq.net>
	* openbox.c: Wmconfig now outputs a Pipe-Read Openbox Menu

2007-29-03  Tommy Scheunemann <net@arrishq.net>
	* pekwm.c: Menu support updated

2007-13-02  Tommy Scheunemann <net@arrishq.net>
	* xfce.c: Updated support to output XFCE XML Menus that can be included

2006-24-10  Tommy Scheunemann <net@arrishq.net>
        * aewm.c afterstep.c afterstep_dir.c amiwm.c blackbox.c e17.c ede.c enlightenment.c epiwm.c freedesktop.c fvwm.c fvwm2.c fvwm95.c gnome2.c golem.c icewm.c kahakai.c kde.c kde2.c launcher.c mlvwm.c mwm.c olwm.c openbox.c package.c pekwm.c pwm.c qvwm.c sapphire.c twm.c ude.c util.c wmaker.c wmconfig.c wmx.c xfce.c
	  use_term function changed due changes in prototypes.h
	* prototypes.h: output functions declared

2006-19-10  Tommy Scheunemann <net@arrishq.net>
	* e17.c: Enlightenment DR17 support added
	* wmconfig.c: Enlighenment DR17 support added
	* wmconfig.1x: Manpage updated (E17 support)

2006-26-02  Tommy Scheunemann <net@arrishq.net>
	* gnome2.c: Updated Gnome2 Support

2005-12-10  Tommy Scheunemann <net@arrishq.net>
	* kde2.c kde.c ede.c input.c gnome2.c freedesktop.c enlightenment.c
	afterstep_dir.c wmx.c: replaced the fopen function with open

2005-13-11  Tommy Scheunemann <net@arrishq.net>
	* misc/wmconfig_launcher: moved to seperate package

2005-12-11  Tommy Scheunemann <net@arrishq.net>
	* gnome2.c: Updated for Gnome 2.12 support

2005-09-11  Tommy Scheunemann <net@arrishq.net>
	* freedesktop.c: Generic Freedesktop output support
	* wmconfig.c: Freedesktop output support added

2005-01-11  Tommy Scheunemann <net@arrishq.net>
	* enlightenment.c: Enlightenment directory output - removed theme output
	* afterstep_dir.c: Output directory function changed due changes in wmconfig.h
	* kde.c: Support for output_directory added
	* kde2.c: Support for output_directory added
	* wmconfig.c: Enlightenment directory output set to default
	* wmconfig.h: Default Output directory changed
	* wmconfig.1x: Manpage updated for output_directory options

2005-28-01  Tommy Scheunemann <net@arrishq.net>
	* amiwm.c: Fixed bug in output function
	* xfce.c: Fixed output function
	* misc/wmconfig_launcher: Options more unix like ("--OPTION")

2005-25-01  Tommy Scheunemann <net@arrishq.net>
	* misc/wmconfig_launcer: Kahakai support added

2005-24-01  Tommy Scheunemann <net@arrishq.net>
	* misc/wmconfig_launcher: Xfce4 support added

2005-02-01  Tommy Scheunemann <net@arrishq.net>
	* mlvwm.c: Fixed Icon output support

2004-12-11  Tommy Scheunemann <net@arrishq.net>
	* samples/wmconfig/Office_Viewers Graphics_Viewers Office: Added some mimetypes

2004-11-17  Tommy Scheunemann <net@arrishq.net>
	* amiwm.c: Output function removes the ending "&"

2004-11-12  Tommy Scheunemann <net@arrishq.net>
	* openbox.c: Output function now removes "&" at the end of a application launcher and the exit outputs fixed

2004-10-03  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.1x wmconfig.c wmconfig.h rootmenu.c: Reversed the promote and existence options, promote now disabled by default and existence enabled
	* misc/wmconfig_launcher: Version output and environment updates

2004-10-02  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.c twm.c: Added Ctwm support

2004-09-26  Tommy Scheunemann <net@arrishq.net>
	* launcher.c misc/launcher.in: Tk application launcher

2004-09-15  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.c: Bug in the entire output function fixed

2004-08-10  Tommy Scheunemann <net@arrishq.net>
	* twm.c wmconfig.c: Support for Tvtwm, Vtwm and Piewm added

2004-08-09  Tommy Scheunemann <net@arrishq.net>
	* aewm.c afterstep.c afterstep_dir.c amiwm.c blackbox.c debug.c ede.c
	enlightenment.c enlightenment_dir.c epiwm.c fvwm.c fvwm2.c fvwm95.c
	gnome2.c golem.c icewm.c input.c kahakai.c kde.c kde2.c mlvwm.c mwm.c
	olwm.c openbox.c package.c package.h pekwm.c pwm.c qvwm.c rootmenu.c
	sapphire.c twm.c ude.c util.c wmaker.c wmconfig.c wmx.c xfce.c:	Added restart and quit function support
	* fvwm2.c fvwm95.c: Fixed major bug in menu entry creation

2004-08-08  Tommy Scheunemann <net@arrishq.net>
	* misc/samples/*: Merged sample configuration files into menu files

2004-08-07  Tommy Scheunemann <net@arrishq.net>
	* wmx.c wmconfig.c: Added support for Flwm / Wmx

2004-08-05  Tommy Scheunemann <net@arrishq.net>
	* misc/from_files.sh: Launch shell with env - better non-Linux Support

2004-08-04  Romildo <romildo@uber.com.br>
	* enlightenment_dir.c wmconfig.c wmconfig.1x.in: E16 Direcotry output support

2004-07-16  Tommy Scheunemann <net@arrishq.net>
	* ude.c wmconfig.c: Ude (Unix Desktop Environment) support

2004-07-10  Tommy Scheunemann <net@arrishq.net>
	* amiwm.c blackbox.c debug.c ede.c enlightenment.c epiwm.c fvwm.c
	fvwm2.c fvwm95.c gnome2.c golem.c icewm.c input.c kahakai.c kde.c
	kde2.c mlvwm.c mwm.c olwm.c openbox.c parse.c pekwm.c pwm.c qvwm.c
	sapphire.c twm.c wmaker.c wmconfig.c: Added terminal support

2004-06-27  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.c aewm.c afterstep.c afterstep_dir.c: Added terminal support

2004-06-23  Tommy Scheunemann <net@arrishq.net>
	* ede.c wmconfig.c: Ede (Equinox Desktop Environment) support
	* epiwm.c wmconfig.c: Epiwm support

2004-06-03  Tommy Scheunemann <net@arrishq.net>
	* sapphire.c wmconfig.c: Sapphire support

2004-06-01  Tommy Scheunemann <net@arrishq.net>
	* wmconfig.1x.in: updated manpage

2004-05-16  Tommy Scheunemann <net@arrishq.net>
	* pwm.c wmconfig.c: Pwm support

2004-04-11  Tommy Scheunemann <net@arrishq.net>
	* Makefile.am wmconfig.1x.in: updated manpage directories

2004-04-10  Tommy Scheunemann <net@arrishq.net>
	* Makefile.am: updated for samples install
	* samples/wmconfig/*: sample configuration files

2004-03-02  Tommy Scheunemann <net@arrishq.org>
	* Makefile.am: added manpage for install
	* scripts/e_gen_wmconfig_menu: menu output for Enlightenment

2004-02-12  Tommy Scheunemann <net@arrishq.org>
	* gnome2.c: updated the output for the gnome-panel 2.4x - full paths to desktop entries added

2004-01-22  Tommy Scheunemann <net@arrishq.org>
	* README: some content added

2004-01-20  Tommy Scheunemann <net@arrishq.org>
	* Makefile.am: fixed getopt.h problem under FreeBSD 4.9 - updated include paths

2004-01-17  Tommy Scheunemann <net@arrishq.org>
	* config.guess config.sub configure.in depcomp install-sh missing
	mkinstalldirs: updated for more architecures (ia64, sparc ...)

2003-12-23  Tommy Scheunemann <net@arrishq.org>
	* kahakai.c: Kahakai support
	* blackbox.c, util.c: moved valid_string func from blackbox.c to util.c

2003-11-24  Tommy Scheunemann <net@arrishq.org>
	* amiwm.c: Amiwm support

2003-11-22  Tommy Scheunemann <net@arrishq.org>
	* aewm.c: Aewm support (aemenu)

2003-11-19  Tommy Scheunemann <net@arrishq.org>
	* package.h package.c kde.c kde2.c debug.c: mimetype support for KDE

2003-11-09  Tommy Scheunemann <net@arrishq.org>
	* openbox.c: Openbox support

2003-11-06  Tommy Scheunemann <net@arrishq.org>
	* gnome2.c: Gnome 2 output with vfolder	configuration file

2003-10-23  Tommy Scheunemann <net@arrishq.org>
	* gnome2.c: Gnome 2 output

2003-09-14  Tommy Scheunemann <net@arrishq.org>
	* wmconfig.c: ctwm output - outputs twm menus

2003-09-05  Tommy Scheunemann <net@arrishq.org>
	* icewm.c: Fixed output support for icons and the menu items

2003-08-18  Tommy Scheunemann <net@arrishq.org>
	* input.c: Fixed warning with sys_errlist

2003-08-03  Tommy Scheunemann <net@arrishq.org>
	* mlvwm.c: Fixed bug in Output function

2003-07-12  Tommy Scheunemann <net@arrishq.org>
	* wmconfig.c: FreeBSD / OpenBSD support

2003-07-02  Tommy Scheunemann <net@arrishq.org>
	* Makefile.am: Updated for newer Autoconf Version

2003-06-25  Tommy Scheunemann <net@arrishq.org>
	* wmconfig.c: Cygwin environment support

2003-05-15  Tommy Scheunemann <net@arrishq.org>
	* fluxbox.c: added support for Fluxbox

2003-05-08  Tommy Scheunemann <net@arrishq.org>
	* pekwm.c: added support for Pekwm

2003-04-02  Tommy Scheunemann <net@arrishq.org>
	* golem.c: added support for Golem
	* wmconfig.c: kde3 output - outputs kde2 menus

2003-01-05  Tommy Scheunemann <net@arrishq.org>
	* qvwm.c: added support for Qvwm

2002-12-02  Tommy Scheunemann <net@arrishq.org>
	* olwm.c: added support for Olwm / Olvwm

2002-11-20  Tommy Scheunemann <net@arrishq.org>
	* fvwm.c: added support for Fvwm

2002-11-15  Tommy Scheunemann <net@arrishq.org>
	* mlvwm.c: added support for Mlvwm

2002-11-10  Tommy Scheunemann <net@arrishq.org>
	* wmconfig.c: KDE3 support
	* kde2.c: added support for KDE2
	* gnome.c: removed since Gnome2 uses vfolders

2002-10-22  Tommy Scheunemann <net@arrishq.org
	* twm.c: added support for twm

2000-02-03  Cristian Gafton  <gafton@redhat.com>

	* blackbox.c: Add patch from Igor Homyakov for blackbox

1999-08-12  Cristian Gafton  <gafton@redhat.com>

	* parse.c (parse_line): understand item(LANG) syntax.
	* input.c (read_file): deal with LANG
	* package.c (update_package): test for invalid item
	* rootmenu.c (build_root): add check for valid package name
	Patch from Wanderlei Antonio Cavassin <cavassin@conectiva.com.br>
	
1999-06-15  Cristian Gafton  <gafton@redhat.com>

	* wmconfig.c (parse_options): blackbox patches from 
	Jose Romildo Malaquias <romildo@urano.iceb.ufop.br>

1999-02-10  Cristian Gafton  <gafton@redhat.com>

	* icewm.c (output_icewm_level): Fix assertion failure when 'promote' is ussed
	* wmconfig.c: Remove the cvs log file comments
	* afterstep_dir.c: Idem
	* Makefile (VERSION): bump to 0.7
	* afterstep_dir.c (create_file_newstyls): New function
	(make_dir): check if we should create a new style dir entry
	Hacks ported from a patch by Tomas Prochazka <xprocha2@fi.muni.cz>

1999-01-10  Cristian Gafton  <gafton@redhat.com>

	* icewm.c (output_icewm_level): remove the assert(level > 0) - why was that put there 
					in the first place ?

1998-05-11  Cristian Gafton  <gafton@redhat.com>

	* wmconfig.c (main): Added support for --no-sysdir and --no-userdir
	(parse_options): Likewise 
	(usage): Document --no-sysdir and --no-userdir
	* wmconfig.1 (Example): Likewise

1998-04-29  Cristian Gafton  <gafton@redhat.com>

	* prototypes.h: output_kde prototype
	* Makefile (FILES): added kde to the list
	* kde.c: New file. Patch from Kevin Vajk <kvajk@ricochet.net>
	(create_kdelnk): rewritten
	

1998-04-22  Cristian Gafton  <gafton@redhat.com>

	* rootmenu.c: (promote_groups): New function
	* from-files.sh: New file
	* wmconfig.1: document that we accept file names on the command line
	* wmconfig.c (main): read the extra files given on the command line
	(parse_options): accept --promote, --directories, --no-icons and --no-mini-icons
	* input.c (read_file): Public function
	* prototypes.h: added read_file prototype. Full pathname as argument.
	* parse.c (parse_line): read the value of the tag until the end of the line

1998-03-09  Cristian Gafton  <gafton@redhat.com>

	* wmconfig.1 (Example): updated to show wmaker as a valid output.
	* afterstep.c: (output_afterstep): define lower level menus first
	* wmconfig.c added CVS ID and Log comments
	(usage): added wmaker
	(DO_WMAKER): new command.
	* prototypes.h: added wmaker prototype
	* Makefile (FILES): Added wmaker to the list

Wed Jan  7 17:46:51 1998  Cristian Gafton  <gafton@redhat.com>

	* fvwm2.c, fvwm95.c, rootmenu.c:
	- fixed compilation warnings. Now the source is happy with gcc -Wall

	* wmconfig.c, Attic/obsolete.c, Makefile, icewm.c, prototypes.h, rootmenu.c, wmconfig.1:
	added patch from Marko Macek for the icewm file-manager;
	we sort menus now

Tue Jan  6 17:05:10 1998  Cristian Gafton  <gafton@redhat.com>

	* afterstep.c, wmconfig.1, wmconfig.c:
	- modified afterstep code to generate menus in the proper order
	- corrected --flags reference in the man page and in the --help output

	* afterstep.c, debug.c, fvwm2.c, fvwm95.c, input.c, mwm.c, package.c, parse.c, rootmenu.c, util.c, wmconfig.c:
	initial revision...

	* Attic/obsolete.c, COPYRIGHT, Makefile, afterstep.c, debug.c, fvwm2.c, fvwm95.c, input.c, mwm.c, package.c, package.h, parse.c, parse.h, prototypes.h, rootmenu.c, util.c, wmconfig.1, wmconfig.c, wmconfig.h:
	Initial revision
